/*
	Copyright (C) 2014 Nicklas Nordborg

	This file is part of the Example Code Package for BASE.
	Available at http://baseplugins.thep.lu.se/
	BASE main site: http://base.thep.lu.se/
	
	This is free software; you can redistribute it and/or
	modify it under the terms of the GNU General Public License
	as published by the Free Software Foundation; either version 3
	of the License, or (at your option) any later version.
	
	The software is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.
	
	You should have received a copy of the GNU General Public License
	along with BASE. If not, see <http://www.gnu.org/licenses/>.
*/

var HelloWorldMenu = function()
{
	var menu = {};

	/**
		Executed once when the page is loaded. Typically
		used to bind events to fixed control elements.
	*/
	menu.initMenuItems = function()
	{
		// Bind event handlers the menu items. 
		// First parameter is the ID of the menu item
		// Second parameter is the event to react to (=click)
		// Last parameter is the function to execute
		Events.addEventHandler('hello-world', 'click', menu.helloWorld);
		Events.addEventHandler('hello-factory-world', 'click', menu.helloFactoryWorld);
		Events.addEventHandler('greetings-user', 'click', menu.greetingsUser);
		
		// The other example menu items use 'data-url' dynamic attribute 
		// which is natively supported by BASE and event handlers are automatically
		// added
	}

	// Display simple alert message
	menu.helloWorld = function(event)
	{
		alert('Hello world!');
	}
	
	// Display another simple alert message
	menu.helloFactoryWorld = function(event)
	{
		alert('Hello factory world!');
	}
	
	// Get the dynamic attributes defined in extenstions.xml 
	// and generate an alert message
	menu.greetingsUser = function(event)
	{
		var userName = Data.get(event.currentTarget, 'user-name');
		var prefix = Data.get(event.currentTarget, 'prefix');
		alert(prefix + ' ' + userName + '!');
	}

	return menu;
}();

//Register the page initializer method with the BASE core
Doc.onLoad(HelloWorldMenu.initMenuItems);
