<%-- 
	Copyright (C) 2011 Nicklas Nordborg

	This file is part of the Example Code Package for BASE.
	Available at http://baseplugins.thep.lu.se/
	BASE main site: http://base.thep.lu.se/
	
	This is free software; you can redistribute it and/or
	modify it under the terms of the GNU General Public License
	as published by the Free Software Foundation; either version 3
	of the License, or (at your option) any later version.
	
	The software is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.
	
	You should have received a copy of the GNU General Public License
	along with BASE. If not, see <http://www.gnu.org/licenses/>.
--%>
<%@ page
	pageEncoding="UTF-8"
	session="false"
	import="net.sf.basedb.core.SessionControl"
	import="net.sf.basedb.core.ItemContext"
	import="net.sf.basedb.core.Item"
	import="net.sf.basedb.core.PropertyFilter"
	import="net.sf.basedb.core.Operator"
	import="net.sf.basedb.util.Values"
	import="net.sf.basedb.clients.web.Base"
	import="net.sf.basedb.clients.web.util.HTML"
	import="java.util.Date"
%>
<%@ taglib prefix="base" uri="/WEB-INF/base.tld" %>
<%
final SessionControl sc = Base.getExistingSessionControl(pageContext, true);
final String ID = sc.getId();
final Item itemType = Item.valueOf(request.getParameter("item_type"));
final ItemContext cc = sc.getCurrentContext(itemType);
final PropertyFilter annotationFilter = cc.getPropertyFilter("annotationSet");
final Operator operator = annotationFilter == null ? 
		null : annotationFilter.getOperator();
try
{
	%>
	<base:page type="popup" title="Annotation filter" id="annotation-filter">
	<base:head scripts="~scripts/common.js" />
	<base:body>
		<h1>Annotation filter</h1>
		
		<form name="filter">
		<div class="content bottomborder">
			<table class="fullform smaller">
			<tr class="dynamic">
				<th>Filter</th>
				<td>
					<label><input type="radio" name="what" value="<>" 
						<%=operator == Operator.NEQ ? "checked" : "" %>
						>Show only items with annotations</label><br>
					<label><input type="radio" name="what" value="=" 
						<%=operator == Operator.EQ ? "checked" : "" %>
						>Show only item without annotations</label><br>
					<label><input type="radio" name="what" value="" 
						<%=operator == null ? "checked" : "" %>
						>Show all items</label><br>
				</td>
			</tr>
			</table>
		</div>
		</form>
		
		<base:buttongroup subclass="dialogbuttons">
			<base:button id="btnOk" title="Ok" />
			<base:button id="close" title="Cancel" />
		</base:buttongroup>
	</base:body>
	</base:page>
	<%
}
finally
{
	
}
%>
